steps:
- task: NodeTool@0
  inputs:
    versionSpec: "16.x"

- task: UsePythonVersion@0
  inputs:
    versionSpec: '3.x'
    addToPath: true

- powershell: |
    $env:npm_config_arch="$(VSCODE_ARCH)"
    yarn
  displayName: Install Dependencies

- powershell: |
    yarn prepublish
  displayName: Build

- powershell: |
    yarn test
  displayName: Run Tests
  condition: and(succeeded(), eq(variables['VSCODE_ARCH'], 'x64'))